﻿@page
@model IndexModel
@{
    ViewData["Title"] = "Grievance Dashboard";
}
<script type="text/javascript">
    //$(document).ready(function () {
    //    $('a').click(function (e) {
    //        alert('anchor clicked');
    //    });
    //}
    //    )
</script>
<div>
    <div class="card-columns">
        <div class="card">
            <div class="card-title">Total</div>
            <div class="card-body">100</div>
        </div>
        <div class="card">
            <div class="card-title">Active</div>
            <div class="card-body">44</div>
        </div>
        <div class="card">
            <div class="card-title">Escalated</div>
            <div class="card-body">6</div>
        </div>
        <div class="card">
            <div class="card-title">Closed</div>
            <div class="card-body">38</div>
        </div>
        <div class="card">
            <div class="card-title">Pending Verification</div>
            <div class="card-body">7</div>
        </div>
    </div>
    <div>
        <table class="table">
            <thead>
                <tr>
                    <th>
                        Grievance ID
                    </th>
                    <th>Description</th>
                    <th>Submitted by</th>
                    <th>Submitted Date</th>
                    <th>Last updated on</th>
                    <th>Status</th>
                    <th>Comments</th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td><a href="#" data-toggle="modal" data-target="#modalView"> 23123123</a></td>
                    <td>Roads not proper in Hyd</td>
                    <td>Ram</td>
                    <td>22/2/2020</td>
                    <td>8/8/2020</td>
                    <td>Pending with RDO</td>
                    <td>not enough details</td>
                    <td>
                        <a href="#" data-toggle="modal" data-target="#modalTransfer">Transfer</a>
                        <a href="#" data-toggle="modal" data-target="#modalEscalate">Escalate</a>
                        <a href="#" data-toggle="modal" data-target="#modalUpdate">Update</a>
                    </td>
                </tr>
                <tr>
                    <td><a href="#" data-toggle="modal" data-target="#modalView">443333</a></td>
                    <td>Electricity problem</td>
                    <td>Aron</td>
                    <td>22/2/2020</td>
                    <td>8/8/2020</td>
                    <td>Pending with RDO</td>
                    <td>not enough details</td>
                    <td>
                        <a href="#" data-toggle="modal" data-target="#modalTransfer">Transfer</a>
                        <a href="#" data-toggle="modal" data-target="#modalEscalate">Escalate</a>
                        <a href="#" data-toggle="modal" data-target="#modalUpdate">Update</a>
                    </td>
                </tr>
            </tbody>
        </table>

    </div>
</div>
<div id="modalTransfer" class="modal fade" role="dialog">
    <div class="modal-dialog">
        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title" style="text-align-last: center">Grievance Details</h4>
                <button type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            <div class="modal-body">
                <table>
                    <tr>
                        <td>
                            Grievance ID:
                        </td>
                        <td>
                            23123123
                        </td>
                    </tr>
                    <tr>
                        <td>Description: </td>
                        <td>Roads not proper in Hyd</td>
                    </tr>
                    <tr>
                        <td>Submitted by: </td>
                        <td>Ram</td>
                    </tr>
                    <tr>
                        <td>Submitted Date: </td>
                        <td>22/2/2020</td>
                    </tr>
                    <tr>
                        <td>Last updated on: </td>
                        <td>8/8/2020</td>
                        <td> </td>
                        <td></td>
                    </tr>
                    <tr>
                        <td>Status: </td>
                        <td>Pending with RDO</td>
                        <td> </td>
                        <td></td>
                    </tr>
                    <tr>
                        <td>Transfer to: </td>
                        <td>
                            <select id="Select1">
                                <option> --Select-- </option>
                                <option>Thasildar 1</option>
                                <option>Thasildar 2</option>
                                <option>Thasildar 3</option>
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <td>Comments: </td>
                        <td>
                            <textarea id="TextArea1" rows="2" cols="20"></textarea>
                        </td>
                    </tr>
                </table>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Update</button>
                <button type="button" class="btn btn-default" data-dismiss="modal">Clear</button>
            </div>
        </div>
    </div>
</div>
<div id="modalEscalate" class="modal fade" role="dialog">
    <div class="modal-dialog">
        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title" style="text-align-last: center">Grievance Details</h4>
                <button type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            <div class="modal-body">
                <table>
                    <tr>
                        <td>
                            Grievance ID:
                        </td>
                        <td>
                            23123123
                        </td>
                    </tr>
                    <tr>
                        <td>Description: </td>
                        <td>Roads not proper in Hyd</td>
                    </tr>
                    <tr>
                        <td>Submitted by: </td>
                        <td>Ram</td>
                    </tr>
                    <tr>
                        <td>Submitted Date: </td>
                        <td>22/2/2020</td>
                    </tr>
                    <tr>
                        <td>Last updated on: </td>
                        <td>8/8/2020</td>
                        <td> </td>
                        <td></td>
                    </tr>
                    <tr>
                        <td>Status: </td>
                        <td>Pending with RDO</td>
                        <td> </td>
                        <td></td>
                    </tr>
                    <tr>
                        <td>Escalate to: </td>
                        <td>
                            <select id="Select1">
                                <option> --Select-- </option>
                                <option>RDO</option>
                                <option>District Collector</option>
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <td>Comments: </td>
                        <td>
                            <textarea id="TextArea1" rows="2" cols="20"></textarea>
                        </td>
                    </tr>
                </table>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Update</button>
                <button type="button" class="btn btn-default" data-dismiss="modal">Clear</button>
            </div>
        </div>
    </div>
</div>
<div id="modalUpdate" class="modal fade" role="dialog">
    <div class="modal-dialog">
        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title" style="text-align-last: center">Update Grievance</h4>
                <button type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            <div class="modal-body">
                <table>
                    <tr>
                        <td>
                            Grievance ID:
                        </td>
                        <td>
                            23123123
                        </td>
                    </tr>
                    <tr>
                        <td>Description: </td>
                        <td>Roads not proper in Hyd</td>
                    </tr>
                    <tr>
                        <td>Submitted by: </td>
                        <td>Ram</td>
                    </tr>
                    <tr>
                        <td>Submitted Date: </td>
                        <td>22/2/2020</td>
                    </tr>
                    <tr>
                        <td>Last updated on: </td>
                        <td>8/8/2020</td>
                        <td> </td>
                        <td></td>
                    </tr>
                    <tr>
                        <td>Status: </td>
                        <td>
                            <select id="Select1">
                                <option> --Select-- </option>
                                <option>Close</option>
                                <option>Reject</option>
                                <option selected>In Progress</option>
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <td>Comments: </td>
                        <td>
                            <textarea id="TextArea1" rows="2" cols="20"></textarea>
                        </td>
                    </tr>
                </table>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Update</button>
                <button type="button" class="btn btn-default" data-dismiss="modal">Clear</button>
            </div>
        </div>
    </div>
</div>
<div id="modalView" class="modal fade" role="dialog">
    <div class="modal-dialog">
        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title" style="text-align-last: center">Grievance Details</h4>
                <button type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            <div class="modal-body">
                <table>
                    <tr>
                        <td>
                            Grievance ID:
                        </td>
                        <td>
                            23123123
                        </td>
                    </tr>
                    <tr>
                        <td>Description: </td>
                        <td>Roads not proper in Hyd</td>
                    </tr>
                    <tr>
                        <td>Submitted by: </td>
                        <td>Ram</td>
                    </tr>
                    <tr>
                        <td>Submitted Date: </td>
                        <td>22/2/2020</td>
                    </tr>
                    <tr>
                        <td>Last updated on: </td>
                        <td>8/8/2020</td>
                        <td> </td>
                        <td></td>
                    </tr>
                    <tr>
                        <td>Status: </td>
                        <td>Pending with RDO</td>
                        <td> </td>
                        <td></td>
                    </tr>
                    <tr>
                        <td>Comments: </td>
                        <td>not enough details</td>
                    </tr>
                </table>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</div>